Name: beesu
Version: 2.7
Release: %mkrel 11
Summary: Graphical wrapper for su
URL: http://www.honeybeenet.altervista.org
Group: System/Base
License: GPLv2+
Source0: https://honeybeenet.altervista.org/beesu/files/beesu-sources/%{name}-%{version}.tar.bz2
Requires: pam
Requires: usermode
# Obsolete all subpkgs
Obsoletes: nautilus-beesu-manager < 2.7-6
Obsoletes: gedit-beesu-plugin < 2.7-6
Obsoletes: nemo-beesu-manager < 2.7-6
# Replace gksu-polkit
Obsoletes: gksu-polkit < 0.0.3-0.git20131130.17

%description
Beesu is a wrapper around su and works with consolehelper under
Mageia to let you have a graphic interface like gksu.

%prep
%setup

%build
%make_build CFLAGS="%{optflags} -fno-delete-null-pointer-checks"

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
mv %{buildroot}%{_sysconfdir}/profile.d/beesu-bash-completion.sh \
 %{buildroot}%{_sysconfdir}/bash_completion.d/

%files
%doc README
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_sysconfdir}/bash_completion.d/%{name}-bash-completion.sh
%{_sbindir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.7-11.mga10
+ Revision: 2215804
- Mageia 10 Mass Rebuild

* Sun Oct 30 2022 wally <wally> 2.7-10.mga9
+ Revision: 1900152
- obsolete gksu-polkit

* Tue Mar 15 2022 umeabot <umeabot> 2.7-9.mga9
+ Revision: 1792658
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 2.7-8.mga8
+ Revision: 1536345
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 wally <wally> 2.7-7.mga8
+ Revision: 1454172
- fix usermode requires

* Mon Oct 14 2019 wally <wally> 2.7-6.mga8
+ Revision: 1453209
- drop all subpkgs

* Fri Sep 21 2018 umeabot <umeabot> 2.7-5.mga7
+ Revision: 1295358
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 2.7-4.mga6
+ Revision: 941684
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7-3.mga5
+ Revision: 742559
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7-2.mga5
+ Revision: 678137
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sun Dec 01 2013 shlomif <shlomif> 2.7-1.mga4
+ Revision: 554538
- Remove a requires that we don't have.
- Imported beesu package from Fedora


* Wed Sep 25 2013 D. Charles Pyle <dcharlespyle@msn.com> and Bee <http://www.honeybeenet.altervista.org>
- 2.7-13
- Bug fixes gedit-beesu-plugin and beesu scripts to stop crashing of GNOME Shell and added a require of usermode-gtk.
- Bug fixes to nemo scripts and nautilus scripts.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 29 2013 D. Charles Pyle <dcharlespyle@msn.com> - 2.7-11
- Add fixes to nautilus scripts for better compatibility with GNOME 3.8.
- Added newly-forked Nemo scripts package to distribution.

* Tue Jun 25 2013 Tom Callaway <spot@fedoraproject.org> - 2.7-10
- add fixes for gedit 3.8 from D. Charles Pyle <dcharlespyle@msn.com>

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar  1 2012 Tom Callaway <spot@fedoraproject.org> - 2.7-7
- remove --browser from nautilus invocation
- fix gedit-beesu-plugin (this time for real)

* Fri Feb 10 2012 Tom Callaway <spot@fedoraproject.org> - 2.7-6
- fix gedit-beesu-plugin (bz 786734)

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Tom Callaway <spot@fedoraproject.org> 2.7-3
- update gedit-beesu-plugin to 0.4

* Wed Dec 15 2010 Tom Callaway <spot@fedoraproject.org> 2.7-2
- update gedit-beesu-plugin to 0.3

* Thu Aug  5 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.7-1
- update beesu to 2.7
- update nautilus-beesu-manager to 1.7
- include gedit-beesu-plugin (0.2)

* Fri Jul  9 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.6-1
- update beesu to 2.6
- update nautilus-beesu-manager to 1.6

* Wed Feb 24 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.4-8
- update nautilus-beesu-manager to 1.4
  - one new script to open any file as root with GNOME's associated application

* Thu Aug  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.4-7
- fix sources

* Thu Aug  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.4-6
- beesu updated to 2.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-4
- nautilus-beesu-manager update to 1.2
 - one new installable script to change file access
 - new run-once script to fix the access permissions and the
   file owner on the trash folder

* Thu Apr  9 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-3
- fix missing BR: desktop-file-utils

* Thu Apr  9 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-2
- enable nautilus-beesu-manager subpackage

* Mon Mar 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-1
- Update to 2.3

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.2-1
- Update to 2.2, adds bash auto completion feature

* Thu Jan 29 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-1
- slight package cleanup from Bee

* Fri Nov 28 2008 Bee <http://www.honeybeenet.altervista.org> 2.0-1
- new RPMs for Fedora 10 and some source clean up.

* Mon Oct 27 2008 Bee <http://www.honeybeenet.altervista.org> 1.0-3
- new RPMs

* Wed Oct 15 2008 Bee <http://www.honeybeenet.altervista.org> 1.0-2
- package needs to be arch specific , patch so rpm builds in mock or as non-root & clean up

* Mon Oct 13 2008 Bee <http://www.honeybeenet.altervista.org> 1.0-1
- initial release
